# Generated by Django 2.1.5 on 2019-01-12 19:50

from django.db import migrations


def set_badge_key(apps, schema_editor):
    Project = apps.get_model("accounts", "Project")
    Profile = apps.get_model("accounts", "Profile")
    for project in Project.objects.select_related("owner").all():
        if Profile.objects.filter(team_name=project.name).exists():
            project.badge_key = project.name
        else:
            project.badge_key = project.owner.username
        project.save()


class Migration(migrations.Migration):

    dependencies = [("accounts", "0019_project_badge_key")]

    operations = [migrations.RunPython(set_badge_key, migrations.RunPython.noop)]
