# Generated by Django 2.1.5 on 2019-01-19 15:40

from django.conf import settings
from django.db import migrations


def delete_team_users(apps, schema_editor):
    Profile = apps.get_model("accounts", "Profile")
    for profile in Profile.objects.exclude(team_name__exact=""):
        profile.user.delete()


class Migration(migrations.Migration):
    atomic = False

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("accounts", "0023_auto_20190117_1419"),
        ("api", "0057_auto_20190118_1319"),
    ]

    operations = [
        migrations.RunPython(delete_team_users, migrations.RunPython.noop, atomic=False),
        migrations.RemoveField(
            model_name="profile",
            name="current_team",
        ),
        migrations.RemoveField(
            model_name="profile",
            name="team_name",
        ),
    ]
