# Generated by Django 2.1.5 on 2019-01-12 14:27

from django.db import migrations


def fill_project_id(apps, schema_editor):
    Project = apps.get_model("accounts", "Project")
    Profile = apps.get_model("accounts", "Profile")
    Check = apps.get_model("api", "Check")
    Channel = apps.get_model("api", "Channel")
    for project in Project.objects.all():
        Check.objects.filter(user_id=project.owner_id).update(project=project)
        Channel.objects.filter(user_id=project.owner_id).update(project=project)
    for profile in Profile.objects.exclude(team_name__exact=''):
        try:
            project = Project.objects.get(name=profile.team_name)
            Check.objects.filter(user_id=profile.user_id).update(project=project)
            Channel.objects.filter(user_id=profile.user_id).update(project=project)
        except Project.DoesNotExist:
            pass


class Migration(migrations.Migration):

    dependencies = [("api", "0054_auto_20190112_1427")]

    operations = [migrations.RunPython(fill_project_id, migrations.RunPython.noop)]
